curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123..." \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123...',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Top-up process started"
}
{
"detail": "Wallet is not active"
}
Agents
Top Up
Add funds to an active agent
POST
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
:top-up
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123..." \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123...',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Top-up process started"
}
{
"detail": "Wallet is not active"
}
SDK Alternative: Use
agent.topUp(txHash) for a simpler TypeScript interface. See SDK docsDescription
Adds additional funds to an already active agent. The agent will include the new funds in its optimization strategy.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Query Parameters
string
required
Transaction hash of the deposit
Response
Returns201 Created on success.
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123..." \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:top-up?tx_hash=0xabc123...',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Top-up process started"
}
{
"detail": "Wallet is not active"
}